#!/bin/bash
#
# IranOpen 2010 sample start script for 3D soccer simulation
#
AGENT_BINARY="SBCe"
BINARY_DIR="."
NUM_PLAYERS=6
killall -9 "$AGENT_BINARY" &> /dev/null
for ((i=1;i<=$NUM_PLAYERS;i++)); do
    echo "Running agent No. $i"
    "$BINARY_DIR/$AGENT_BINARY" --host=$1 --unum=$i > stdout$i 2> stderr$i &
    sleep 2
done

